AutoCAD VB :: Detecting Point Whether It Is Inside Or Outside Closed Object
Oct 4, 2012
I have a closed object and a line outside this object. I want to take anypoint on this polyline as a reference and check whether that point is lying inside the closed object or outside.
I am developing a plugin for Illustrator CS5, 6. I have a scenario which requires the plugin to place a text frame inside a closed path art. How can I calculate the proper destination coordinates? The path art can be a curve or a rectangle, any shape. I need to place the text frame inside the path such that no part of the text frame overlaps the boundaries of the path art.
I looked at the forum and found the following thread: [URL] .....
Here, its stated that the method AIPathfinderSuite::DoFrontMinusBackEffect of the API did the required task. I tried the same but couldn't get it to work.
My first preference is to use the Illustrator SDK, not any third party libraries.
so I came up with this script, and it worked fine until I tried it on a different file. I have moved the artboard around all over the "main" canvas (if that is what it is called) and on the one that it works on, seems to only work when artboard(top, left) is positive values. however on the new file it doesn't seem to matter where it is on the artboard, it wont work anywhere. it should find the textpath relative to the shapes position.
I thought it was the coordinateSystem, but that doesn't seem to fix it. How the canvas works (maybe the math.abs();
threw it up on gist because it was pretty big: [URL]
i am trying to add a reactor to ddatte command, would like to know which object was being edited, the ename or object name (ssget "P") does not seem to be the one
I've have code to test if the insertion point is within a closed polygon. But prior to testing the insertion point I use ssget to trim the selection set initially..
this requires that the whole Crossing Polygon is visible, so I do a zoom first. This requires time. Is there a way I can do this that does not require the zoom?
how to match up certain points. I have imported 2 point clouds and have tried to use the 'align' tool to specify three points from the source object (cloud) and three points from the destination object (cloud). When doing this, it does not properly align them. The point cloud makes it difficult to select the exact point I would like to align, since there may not be a point at that exact location, but close to it. Does AutoCAD require the points in alignment to match up perfectly or is it capable of doing a best fit?
Also, is AutoCAD capable of creating a solid 3D piece from the point cloud? I would like to take all of my points and make a smooth object.
I am currently working on a playground development for a school project where we have to build a 3D playground based off of autocad drawing, modles, etc.Below is a picture of a "crab see-saw" that I have in my park, and I am having trouble making it 3D. I have tried using "extrude", but, while it streches the drawing into 3D, only the crab's claws become a solid object. The crab's body remains "open".
Crab.jpg -> Normal Drawing crab2.jpg -> Extruded Drawing
The steps I take to extude it are:
1. Select extrude command 2. Select entire drawing 3. Click top of crab body for designated height 4. Type in 7 (units) as the strech command 5. Press enter
All the lines for the crab body are connecterd and I just can't figure out why it isn't working.
I have a database containing more than 5000 parcels. each parcel have its set of points with their labels, and for each parcel I have to generate a drawing. Is there an algorithm for placing point labels inside the polygon of the parcel with minimum overlapping ?
There are many examples of creating rectangular patterns, but not many, if any, of interrogating existing patterns.I have attached the files and a screenshot of a rectangular part inside an assembly. The part contains a rectangular pattern of holes and workplanes.how do I get hold of each proxy of the workplane in the pattern?In other words I don't know what to put in the for loop at the end of this code fragment:
If _invApp.Documents.Count = 0 Then MsgBox("Need to open an the assembly document") ReturnEnd If If _invApp.ActiveDocument.DocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then MsgBox("Need to have an Assembly document active") ReturnEnd If Dim asmDoc As Assembly Document asmDoc = _invApp.ActiveDocument Dim asmDef As AssemblyComponentDefinition asmDef = asmDoc.ComponentDefinition im occurrences As ComponentOccurrencesoccurrences. [code]....
when i export (or explode) my plan every window, doors etc... split in more "under-blocks", and that's ok. but i have a problem with the windows: after the explode command, one of the blocks inside (the one that shows the opening side) "jump" in the 0,0,0 coordinates point, but all the others remain in the right position.
PS: i think the problem is not in the window-block, because i tried it in another old file, and it works. and the autocad option are also always the same.
I have used PEDIT to join multiple polylines, which now appear as polylines. But when I use QSELECT to show all open (non-closed) section, one polyline still shows up as open.
I've attached the file I'm working on. The polyline in question is the green outline on the object on the right.
so im drawing a 3d object in an isometric view. it is a 3d extruded object. essentially it is an extruded decagonal tube. i have, at the bottom, a line marking the center of the decagon so i can snap to it, draw a decagon for the base, and extrude it. problem is, i go to draw the decagon (or anything, for that matter), and i cant snap to the inside of the solid. autocad will only let me select the face of the object. is this a setting i can uncheck, or do i have to change the way i am drawing this?
My goal is to be able to store any object type (mainly an image jpg/bmp) inside a part that is not accessable through the normal user interface to be used with my addin.
I have been searching around and it seems like GetPrivateStream is the way to go.
Any working example of GetPrivateStream in vb.net and confirm if it actually stores the data inside the part.
I can't find a solution anywhere or any decent referencing material for this. If there is a better method of achieving this?
Text is allowed only on the outside of a rectangle shape. The text cursor disappears when I try to enter it into the rectangle and when I place it on the edge of the rectangle, it rurns into a slanted "A" and allows texting on the border of the rectangle. Corel Paint Shop Photo Pro X3 (build date Sept 7, 2010). This software came with my new HP Pavilion dv7.
I am trying to make 1 object out of 3 closed splines. I am a max user and this command is called Attach inside max. I am presently learning Maya as my new job require the rigging to be done inside Maya and instead of exporting my controllers aswell learn how to do it in Maya...
Would you have a solution to accessing ODTables for a dwg object only loaded into memory? I have 1000+ dwgs that I want to return a string with the names of the various ODTable names for auding purposes that I would prefer to just side load rather than full load for performance reasons.
I'm attempting to use something like this (which works fine on an open drawing):
Public Function ReturnOBJData(acObjIDIn As ObjectId, intOffset As Integer) As String 'Don't forget that table is 0 based offset so....plan accordingly Dim strRet As String = "" Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument Dim acDb As Database = acDoc.Database Dim acEd As Editor = acDoc.Editor [Code] .......
In a fashion along the lines of
Public Function GetTables(strFileIn As String) As List(Of String) Dim lstReturn As New List(Of String) Dim acMapApp As MapApplication = HostMapApplicationServices.Application Dim acActiveProject As Project.ProjectModel = acMapApp.ActiveProject Dim acTableList As Tables = acActiveProject.ODTables Dim acTable As ObjectData.Table
[Code] ....
The problem is that I can't seem to link the ODTables object off of the memory database object. In this sample, the msgbox always returns a count of 0 where I would expect it to be in the range of 1-4.
How do you color the outline of a closed object in different colors in Draw . I have a green triangle which is part of a witches hat....... I have colored the outline in the same green as the fill but I would like to keep the bottom line (curved) black to define it against the hat brim. Is there a way to keep this line black when I make the others green......otherwise I have to draw it in again.
I have a rectangular box in perspective on a layer, I want to stick a picture on it , so I can use the Vanishing point filter (creating a right plane, copy/ paste that picture and placing it) and it works fine. But I have the same picture to do with a hundred of picture to stick, so I need that to be dynamic. I only had to right click my layer with dynamic picture, "replace content", and it auto-fills in the other layer with the vanishing point edit.
We've been working with adding schedule tags in paper space for objects nested within an xref. The first time you do this however, the manual properties (it seems) do not update if the value of the manual property is changed back in the xref dwg. However, the Automatic properties do seem to update.
When we initially found this we past it off as a limitation. However, one of our users was experimenting and found that the first time you tag the xref resident object... the schedule tag reads the correct manual properties value. However, If you remove the property set from the schedule tag... then the manual property will update correctly showing the current value as it is back in the xref dwg even if it is changed.
This makes complete sense as the manual property set data can be edited from either the tag or the object or from the schedule... IF THE TAG and the object are resident in the same drawing file - in this case you DO NOT want to delete the property set from the tag... if you do this the property set is also removed from the object. However, when tagging objects nested within an xref, then you need to remove the property set from the tag... THEN the manual property will update correctly.
How would I put smaller objects inside a 3D object? I made a tube and wanted to fill it with little spheres. How to put the objects inside and shade them to look like they're in there.
I wonder if it's possible to achive an effect similar to repel text under but instead to put it inside an ellipse, for instanse with dynamic effect of decreasing the text size as the content text grows keeping it inscribed in ellipse.
Okay I have been a avid user of Photoshop for years and I mean well over 10 years now. And I thought why not try something new, plus I saw something that GIMP could do that Photoshop couldn't so I went ahead a downloaded the program, but since I am so used to Photoshop I sort of expected GIMP to be almost the same as Photoshop and well it isn't. (Don't judge me now) so I have a few questions on certain things.
1: How do you select an object inside the layer, with PS you can just ctrl click in the window and poof it's there around your selected item, But GIMP doesn't do that so how do you do that in GIMP?
2: When using the circle tool, I get this green box thing around the whatever it's called and I don't see any marching ants. What am I doing wrong and how do I get that to go away if it's possible?
3: where is the crop tool? What does it look like?
4: How come some of the options for the brushes won't allow you the change them? like for instance, if I go to windows>brushes and double click on any of the brushes another window pops open and it says: Brush editor read only. What does that mean? You can't make any of the brushes in spatter brushes?